#!/bin/bash

log "Отключение puppet"

PUPPET=$(which puppet)
[ -x "$PUPPET" ] && $PUPPET agent --disable

killall -9 puppet 2>/dev/null || true

if ! ln -s "/dev/null" "/etc/systemd/system/puppet.service"; then
    # Уже отключен. Оставляем как было до обновления
    touch "$DATA_PREFIX/skip_unmask_puppet"
fi
